unit fmDemo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, GRuler;

type
  TfrmDemo = class(TForm)
    grHorizontal: TGRuler;
    grVertical: TGRuler;
    Shape1: TShape;
    Panel: TPanel;
    Shape2: TShape;
    Shape3: TShape;
    procedure UpdatePosition(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDemo: TfrmDemo;

implementation

{$R *.dfm}

procedure TfrmDemo.UpdatePosition(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
  Pt : TPoint ;
begin
  Pt.X := X ;
  Pt.Y := Y ;
  Pt := TControl(Sender).ClientToParent(Pt, Self) ;
  grHorizontal.UpdatePosition(Pt.X - grHorizontal.Left, Y) ;
  grVertical.UpdatePosition(X, Pt.Y - grVertical.Top) ;
end;

end.
